<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Sign In/Up</title>

        <!--Import Google Icon Font-->
        <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet"/>
        <!--Import materialize.css-->
        <link type="text/css" rel="stylesheet" href="materialize/css/materialize.min.css"  media="screen,projection"/>

        <!--Let browser know website is optimized for mobile-->
        <meta name="viewport" content="width=device-width, initial-scale=1.0" charset="UTF-8"/>
    </head>
    <body>
        <main>
            <div class="container" style="height: 100vh">
                <div class="valign-wrapper" style="height: 100%">
                    <div class="valign center-block">
                        <div class="row">
                            <div id="input_form" class="col s8 offset-s2">
                                <div class="col s12">
                                    <form th:action="@{solve}" th:object="${inputArray}" class="col s12 light-blue lighten-5 center-align" method="post">
                                        <div class="input-field col s12 left-align">
                                            <input type="text" id="array" th:field="*{array}" placeholder="Example: 2,3,0,1"/>
                                            <label id="arrayLabel" for="array">Input array:</label>
                                        </div>
                                        <button class="btn waves-effect waves-light center-align" type="submit" name="action">
                                            Solve
                                        </button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>

        <!--Import jQuery before materialize.js-->
        <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
        <script type="text/javascript" src="materialize/js/materialize.min.js"></script>
    </body>
</html>
